
TYPO3.Flow - Feature # 26785

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Persistence
Created: 2011-05-12 Assigned To: Karsten Dambekalns
Updated: 2011-06-01 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Doctrine Query Execution Commands
Description

For the command line in general, but especially for the interactive shell, it would be nice to be able to execute arbitrary DQL / SQL
queries and see the raw / polished output.

Related issues:
blocked by TYPO3.Flow - Bug # 27087: Command controllers cannot use arguments Resolved 2011-05-27

Associated revisions
Revision 7e79ea7f - 2011-06-01 11:11 - Karsten Dambekalns

[FEATURE] Add flow3:doctrine:dql command

Executes the given DQL command(s) and dumps the result.

Resolves: #26785
Change-Id: I5fa5ecf5664af26e0146c75c39c78be71148da34

History
#1 - 2011-05-27 15:36 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2011-05-27 15:48 - Mr. Hudson

Patch set 1 of change I5fa5ecf5664af26e0146c75c39c78be71148da34 has been pushed to the review server.
It is available at http://review.typo3.org/2399

#3 - 2011-05-27 16:02 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2011-05-30 16:42 - Mr. Hudson

Patch set 2 of change I5fa5ecf5664af26e0146c75c39c78be71148da34 has been pushed to the review server.
It is available at http://review.typo3.org/2399

#5 - 2011-06-01 11:11 - Mr. Hudson

Patch set 3 of change I5fa5ecf5664af26e0146c75c39c78be71148da34 has been pushed to the review server.
It is available at http://review.typo3.org/2399

#6 - 2011-06-01 11:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7e79ea7f6d1cbcc1c02e200ca19fe2f40356b69e.
